Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 643214 - dev-python/pytest-cov-2.6.1 rekeywording
Summary: dev-python/pytest-cov-2.6.1 rekeywording
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 668710 668712
Blocks:
  Show dependency tree
 
Reported: 2018-01-03 09:30 UTC by Michał Górny
Modified: 2020-04-12 15:31 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/pytest-cov-2.8.1 dev-python/fields-5.0.0-r2
Runtime testing required: No
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-01-03 09:30:13 UTC
The new version adds a dep on dev-python/fields, so needs a fresh keywording.

FYI, the test suite of dev-python/pytest-cov is still completely broken, so please disregard that. However, tests of the two other packages work and should pass.
Comment 1 Sergei Trofimovich gentoo-dev 2018-01-03 19:53:08 UTC
~sparc keyworded (thanks to Rolf Eike Beer)
Comment 2 Sergei Trofimovich gentoo-dev 2018-01-13 11:33:58 UTC
~ppc64 keyworded

dev-python/pytest-cov fails tests as bug #643578
Comment 3 Sergei Trofimovich gentoo-dev 2018-01-13 12:16:31 UTC
~ppc keyworded
Comment 4 Sergei Trofimovich gentoo-dev 2018-01-24 22:53:37 UTC
~ia64 keyworded
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-02-22 15:51:48 UTC
amd64-fbsd done, the usual failures
Comment 6 Markus Meier gentoo-dev 2018-03-07 19:47:19 UTC
~arm added.
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-30 18:19:30 UTC
~s390 done
Comment 8 Roy Bamford gentoo-dev 2018-06-30 23:20:09 UTC
~arm64 dev-python/fields-5.0.0
~arm64 dev-python/pytest-cov-2.5.1-r1
both OK in repoman.

dev-python/pytest-cov fails tests as bug #643578


dev-python/pytest-xdist-1.15.0 fails tests on ~arm64.
Without FEATURES=test 1.20.1 is installed.
Comment 9 Mart Raudsepp gentoo-dev 2018-08-13 10:59:48 UTC
If tests are completely broken and it's not a real issue, then disable them until they are fixed (tracking the fact that they are broken in an open bug instead)? I am real tired from per-package temporary test disabling, so are probably other arch teams.
Comment 10 Mart Raudsepp gentoo-dev 2018-08-14 06:41:47 UTC
Very reluctantly keyworded on arm64, as the addition of the dep is for tests only, which still fail just as bad, so I don't see the point, but meh..

Note also:
dev-python/pytest-cov/pytest-cov-2.5.1-r1.ebuild: DEPEND uses the = operator with no revision ...; ; if any revision is acceptable, use '~' instead; if only -r0 then please append '-r0' to the dep
Comment 11 Tobias Klausmann gentoo-dev 2018-10-15 12:28:16 UTC
Both pytest-cov and fields have missing test dependencies, see bug 668710 and bug  668712
Comment 12 Matt Turner gentoo-dev 2018-12-22 16:19:54 UTC
(In reply to Tobias Klausmann from comment #11)
> Both pytest-cov and fields have missing test dependencies, see bug 668710
> and bug  668712

python@ do you care to fix either of these?
Comment 13 Virgil Dupras gentoo-dev 2019-04-12 13:43:54 UTC
Updating package list and un-CC-ing x86-fbsd (defunct), m68k (wasn't previously keyworded) and sh (wasn't previously keyworded).

Also, tests now pass, so mgorny's initial comment about tests isn't true anymore.
Comment 14 Matt Turner gentoo-dev 2019-10-12 20:23:34 UTC
added ~alpha
Comment 15 Sergei Trofimovich gentoo-dev 2020-04-12 15:31:21 UTC
commit 4c7a6f853265dff87072b340f8f39c02e1833527
Author: Michał Górny <mgorny@gentoo.org>
Date:   Sat Mar 28 19:31:08 2020 +0100

    dev-python/pytest-cov: Mark ALLARCHES

    Signed-off-by: Michał Górny <mgorny@gentoo.org>